随笔 - 59  文章 - 70  trackbacks - 0
<2008年8月>
272829303112
3456789
10111213141516
17181920212223
24252627282930
31123456

常用链接

留言簿(5)

随笔分类

随笔档案

搜索

  •  

积分与排名

  • 积分 - 158163
  • 排名 - 347

最新评论

阅读排行榜

评论排行榜

今天服务器上的一个工程的类需要重新编译,我将它导入本机的myeclipse6.0中,编译完之后上传到服务器上去,结果出现了java.lang.UnsupportedClassVersionError异常,赶紧远程连接到服务器上一看,原来环境是1.42的版本,而本机JDK是1.5的。于是在MyEclipse中将编译器的版本改为1.4的
步骤:项目点右键-->Properties-->Java Compiler-->将Enable project specific settings前的勾去掉-->Compiler compiliance level选择你想要的版本
将文件上传上去之后又出现java.lang.NoClassDefFoundError异常,郁闷,原来是用到了StringBuilder这个类,赶紧给改了过来,再上传就没问题了,下次还是得多多注意。。。
posted on 2008-08-19 12:12 JasonChou 阅读(153) 评论(0)  编辑  收藏 所属分类: j2se

只有注册用户登录后才能发表评论。


网站导航: